// Grab a reference to the service and its intent
var service = Ti.Android.currentService;
var serviceIntent = service.intent;
Ti.API.info(service.serviceInstanceId);
// Bind event listeners to the service

Ti.API.warn("Service starts");

getGsp();

function getGsp() {
	if (Ti.Geolocation.locationServicesEnabled) {

		if (Ti.Geolocation.hasLocationPermissions()) {
			Ti.Geolocation.preferredProvider = "gps";
			proceed();
		} else {
			Ti.Geolocation.requestLocationPermissions(function(e) {
				if (e.success === true) {
					Ti.Geolocation.preferredProvider = "gps";
					proceed();
				} else {
					alert("Access denied, error: " + e.error);
				}
			});
		}

		function proceed() {
			
			var providerGps = Ti.Geolocation.Android.createLocationProvider({
				name : Ti.Geolocation.PROVIDER_GPS,
				minUpdateDistance : 0.0,
				minUpdateTime : 0
			});
			Ti.Geolocation.Android.addLocationProvider(providerGps);
			Ti.Geolocation.Android.manualMode = true;

			Titanium.Geolocation.getCurrentPosition(function(e) {
				if (e.error) {

				} else {
					method = e.provider.name;
					coords = e.coords;

					var gpsDateTime = new Date();

					Ti.API.warn(gpsDateTime);					
				}
			});
		}

	} else {
		alert('Please enable location services');
	}
}

