function getService(create) {
	var SECONDS = 10000;
	// every 10 seconds
	var intent = Titanium.Android.createServiceIntent({
		url : 'testService.js',
		startMode : Titanium.Android.START_STICKY
	});
	if (create) {
		intent.putExtra('interval', SECONDS);
		// Needs to be milliseconds
	}
	return intent;
}

var button = Ti.UI.createButton({
	title : "Start",
	left : 0
});
var buttonStop = Ti.UI.createButton({
	title : "Stop",
	right : 0
});
Ti.Geolocation.addEventListener("location", function(e) {
	Ti.API.warn("Hits location");
});

button.addEventListener("click", function() {

	if (!Titanium.Geolocation.hasLocationPermissions(Titanium.Geolocation.AUTHORIZATION_ALWAYS)) {
		Titanium.Geolocation.requestLocationPermissions(Titanium.Geolocation.AUTHORIZATION_ALWAYS, function(result) {
			if (!result.success) {//no location permissions flow triggers
			} else {
				button.addEventListener("click", function() {
					var intent = getService(true);
					Titanium.Android.startService(intent);
				});
				buttonStop.addEventListener("click", function() {
					var intent = getService(false);
					Titanium.Android.stopService(intent);
				});
			}
		});
	} else {
		var intent = getService(true);
		Titanium.Android.startService(intent);
		Ti.API.warn("tries to start service");
	}

});
buttonStop.addEventListener("click", function() {
	var intent = getService(false);
	Titanium.Android.stopService(intent);
	Ti.API.warn("tries to stop service");
});
$.win.add(button);
$.win.add(buttonStop);

var serviceButton = Ti.UI.createButton({
	title : "send service",
	bottom : 5,
	width : "90%"
});
$.win.open();
$.win.addEventListener("androidback", function() {
	var currentActivity = Ti.Android.currentActivity;
	currentActivity.finish();
});

