function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    function getService(create) {
        var SECONDS = 1e4;
        var intent = Titanium.Android.createServiceIntent({
            url: "testService.js",
            startMode: Titanium.Android.START_STICKY
        });
        create && intent.putExtra("interval", SECONDS);
        return intent;
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    this.args = arguments[0] || {};
    if (arguments[0]) {
        {
            __processArg(arguments[0], "__parentSymbol");
        }
        {
            __processArg(arguments[0], "$model");
        }
        {
            __processArg(arguments[0], "__itemTemplate");
        }
    }
    var $ = this;
    var exports = {};
    $.__views.win = Ti.UI.createWindow({
        backgroundColor: "white",
        id: "win"
    });
    $.__views.win && $.addTopLevelView($.__views.win);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var button = Ti.UI.createButton({
        title: "Start",
        left: 0
    });
    var buttonStop = Ti.UI.createButton({
        title: "Stop",
        right: 0
    });
    Ti.Geolocation.addEventListener("location", function() {
        Ti.API.warn("Hits location");
    });
    button.addEventListener("click", function() {
        if (Titanium.Geolocation.hasLocationPermissions(Titanium.Geolocation.AUTHORIZATION_ALWAYS)) {
            var intent = getService(true);
            Titanium.Android.startService(intent);
            Ti.API.warn("tries to start service");
        } else Titanium.Geolocation.requestLocationPermissions(Titanium.Geolocation.AUTHORIZATION_ALWAYS, function(result) {
            if (result.success) {
                button.addEventListener("click", function() {
                    var intent = getService(true);
                    Titanium.Android.startService(intent);
                });
                buttonStop.addEventListener("click", function() {
                    var intent = getService(false);
                    Titanium.Android.stopService(intent);
                });
            } else ;
        });
    });
    buttonStop.addEventListener("click", function() {
        var intent = getService(false);
        Titanium.Android.stopService(intent);
        Ti.API.warn("tries to stop service");
    });
    $.win.add(button);
    $.win.add(buttonStop);
    Ti.UI.createButton({
        title: "send service",
        bottom: 5,
        width: "90%"
    });
    $.win.open();
    $.win.addEventListener("androidback", function() {
        var currentActivity = Ti.Android.currentActivity;
        currentActivity.finish();
    });
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;